Updates the project with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
project| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| _parent_id |
Reference to a parent installation |
globally unique identifier | |
| root_parent_id |
This field will be filled automatically based on the parent_id |
globally unique identifier | |
| _parent_reference_back_office |
Embedded entity "project" for parent installation using ERP PK when adding/updating project |
string | |
| _parent_project |
Embedded entity "project" for parent installation when adding/updating project |
project | |
| equipment_family_id |
Foreign key to equipment_family. It can be taken via equipment_family_code, equipment_family or equipment model that links to a valid equipment family |
globally unique identifier | |
| equipment_family_code |
Embedded entity "equipment_family" using ERP PK when adding/updating project |
string | |
| equipment_family |
Embedded entity "equipment_family" when adding/updating project |
equipment_family | |
| equipment_model_id |
Foreign key to equipment model. It can get via equipment_family_code, equipment_family or equipment_model |
globally unique identifier | |
| equipment_model_code |
Embedded entity "equipment_model" using ERP PK when adding/updating project |
string | |
| equipment_model |
Embedded entity "equipment_model" when adding/updating project |
equipment_model | |
| project_status_id |
Foreign key to project_status |
globally unique identifier |
Optionally required : project_status_id, project_status_code or project_status must be provided |
| project_status_code |
Embedded entity "project_status" using ERP PK when adding/updating project |
string |
Optionally required : project_status_id, project_status_code or project_status must be provided |
| project_status |
Embedded entity "project_status" when adding/updating project |
project_status |
Optionally required : project_status_id, project_status_code or project_status must be provided |
| company_id |
The company owner of this project/installation |
globally unique identifier |
Optionally required : company_id, company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating project |
string |
Optionally required : company_id, company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating project |
company |
Optionally required : company_id, company_code or company must be provided |
| db_address_id |
Specific db_address_id of the %company_id% if different than the company default address |
globally unique identifier | |
| db_address_code |
Embedded entity "db_address" using ERP PK when adding/updating project |
string | |
| db_address |
Embedded entity "db_address" when adding/updating project |
db_address | |
| location |
Additional text to describe the location |
string |
Max length: 255 |
| contact_id |
Main contact for this project/installation |
globally unique identifier | |
| contact_reference_back_office |
Embedded entity "contact" using ERP PK when adding/updating project |
string | |
| contact |
Embedded entity "contact" when adding/updating project |
contact | |
| owner_user_id |
User owner/manager of this project/installation |
globally unique identifier | |
| name |
Name of the project/installation |
string |
Required Max length: 50 |
| description |
Long description |
string | |
| reference_back_office |
The Id/Ref of the back office for this project/installation. Used by Embedded entity |
string |
Max length: 255 |
| serial_number |
Serial number |
string |
Max length: 255 |
| barcode |
Barcode |
string |
Max length: 50 |
| date_start_production |
Date project/installation becomes active |
date | |
| date_create |
Creation date+time |
date | |
| date_update |
Update date+time |
date | |
| updated_by_user_id |
Last User that updates the object |
globally unique identifier | |
| customer_reference |
Reference of this project/installation for the customer |
string |
Max length: 50 |
| warranty_date_until |
End date of the warranty (if applicable) |
date | |
| last_standard_result_score_1 |
Last result score 1 (CF Standard module) |
string |
Max length: 50 |
| last_standard_result_score_2 |
Last result score 2 (CF Standard module) |
string | |
| target_standard_result_score_1 |
Target result score 1 (CF Standard module) |
string |
Max length: 50 |
| target_standard_result_score_2 |
Target result score 2 (CF Standard module) |
string |
Max length: 50 |
| date_built |
Build date of the installation (if applicable) |
date | |
| shutdown_consequence |
Consequence of the installation is shut down (CEO has no air cooling anymore,..) |
string |
Max length: 4000 |
| id2 |
Internal ID (numeric). Will be used if reference_back_office is empty |
integer | |
| nb_open_jobs |
Readonly - Number of open jobs |
integer | |
| date_next_job |
Date+time of the next job planned |
date | |
| date_last_job |
Date+time of the last job completed |
date | |
| nb_jobs_planned |
Number of jobs with status Planned |
integer | |
| nb_jobs_tobeplanned |
Number of jobs with status To Be Planned |
integer | |
| nb_jobs_waitingfurtheraction |
Number of jobs with status Waiting Further Action |
integer | |
| back_office_timestamp |
Back Office timestamp value (conflict detection purpose) |
date | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| is_mobile_installation |
Set it TRUE if this is a mobile installation. |
boolean |
Request Formats :
application/json, text/json
{
"id": "a4dc6a71-e939-4590-9156-349dce8def87",
"_parent_id": "e7b1c08e-eaa4-40b5-b883-c20a505a32f8",
"root_parent_id": "e789c160-393e-4551-a186-cfd45bf99e11",
"_parent_reference_back_office": "sample string 4",
"equipment_family_id": "46e0d409-2536-436e-a5f6-832842a02c5d",
"equipment_family_code": "sample string 6",
"equipment_family": {
"id": "53d03426-2216-4e36-828b-729ef93ebf85",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "335dc3ca-aebd-4621-b79b-903259d3fc5b",
"_parent_code": "sample string 6",
"sales_organization_id": "cdcd6cd8-152b-451e-8bc1-56a54ccd3767",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "5b360971-933c-498f-8ce0-252b963d8664",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "3503ce42-f768-44e0-95a5-67728115edb0",
"db_currency_id": "76cd2bee-b0e7-444d-9870-e4eed629fc1f",
"db_language_id": "b8b4495b-d38b-4212-9b60-043d56aac521",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-19T10:52:38.9873864+00:00"
},
"modified_dateutc": "2026-11-19T10:52:38.9873864+00:00"
},
"equipment_model_id": "4063f109-6c00-40ca-b788-191e70c7d961",
"equipment_model_code": "sample string 8",
"equipment_model": {
"id": "30b4b661-2d13-4d5e-9ef1-6b1cbd0760e3",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"equipment_brand_id": "c0d54a69-e484-4c95-ac8f-792813deaf6d",
"equipment_brand_code": "sample string 6",
"equipment_brand": {
"id": "c113eb2b-5dce-40d0-94ed-cd60c07219d1",
"name": "sample string 2",
"code": "sample string 3",
"sales_organization_id": "5f92af99-36a8-41af-a1cc-a1e73dac573f",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "5b360971-933c-498f-8ce0-252b963d8664",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "3503ce42-f768-44e0-95a5-67728115edb0",
"db_currency_id": "76cd2bee-b0e7-444d-9870-e4eed629fc1f",
"db_language_id": "b8b4495b-d38b-4212-9b60-043d56aac521",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-19T10:52:38.9873864+00:00"
},
"modified_dateutc": "2026-11-19T10:52:38.9873864+00:00"
},
"equipment_family_id": "b129cc04-b3d3-4a83-8760-04f0be02c220",
"equipment_family_code": "sample string 8",
"equipment_family": {
"id": "53d03426-2216-4e36-828b-729ef93ebf85",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "335dc3ca-aebd-4621-b79b-903259d3fc5b",
"_parent_code": "sample string 6",
"sales_organization_id": "cdcd6cd8-152b-451e-8bc1-56a54ccd3767",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "5b360971-933c-498f-8ce0-252b963d8664",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "3503ce42-f768-44e0-95a5-67728115edb0",
"db_currency_id": "76cd2bee-b0e7-444d-9870-e4eed629fc1f",
"db_language_id": "b8b4495b-d38b-4212-9b60-043d56aac521",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-19T10:52:38.9873864+00:00"
},
"modified_dateutc": "2026-11-19T10:52:38.9873864+00:00"
},
"date_in_production_since": "2026-11-19T10:52:38.9873864+00:00",
"date_out_of_production_since": "2026-11-19T10:52:38.9873864+00:00",
"date_end_support": "2026-11-19T10:52:38.9873864+00:00",
"sales_organization_id": "324ca856-be07-4aea-b9f7-de9c3c238831",
"sales_organization_code": "sample string 13",
"sales_organization": {
"id": "5b360971-933c-498f-8ce0-252b963d8664",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "3503ce42-f768-44e0-95a5-67728115edb0",
"db_currency_id": "76cd2bee-b0e7-444d-9870-e4eed629fc1f",
"db_language_id": "b8b4495b-d38b-4212-9b60-043d56aac521",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-19T10:52:38.9873864+00:00"
},
"replacement_period_nb_months": 14,
"warranty_period_nb_months": 15,
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
],
"modified_dateutc": "2026-11-19T10:52:38.9873864+00:00"
},
"project_status_id": "9ab20209-2480-4900-8fa8-6d652aaebb56",
"project_status_code": "sample string 10",
"project_status": {
"id": "b25909cb-9b8c-4e08-ae8b-8cb784a3c0f6",
"name": "sample string 2",
"is_default": true,
"is_closed": true,
"sales_organization_id": "42174e40-c99a-4911-955a-15a6fe9242fa",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "5b360971-933c-498f-8ce0-252b963d8664",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "3503ce42-f768-44e0-95a5-67728115edb0",
"db_currency_id": "76cd2bee-b0e7-444d-9870-e4eed629fc1f",
"db_language_id": "b8b4495b-d38b-4212-9b60-043d56aac521",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-19T10:52:38.9873864+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-11-19T10:52:38.9873864+00:00"
},
"company_id": "a7e8327b-9ac9-4b66-8e07-665950f07247",
"company_code": "sample string 12",
"db_address_id": "8fc0a4de-1883-4b06-bd3f-8a2942f116b2",
"db_address_code": "sample string 14",
"location": "sample string 15",
"contact_id": "05254fd0-93a9-4bee-ad85-5f588bd833ab",
"contact_reference_back_office": "sample string 17",
"owner_user_id": "1f507922-2145-4450-8d4f-d7557b5935e8",
"name": "sample string 19",
"description": "sample string 20",
"reference_back_office": "sample string 21",
"serial_number": "sample string 22",
"barcode": "sample string 23",
"date_start_production": "2026-11-19T10:52:38.9873864+00:00",
"date_create": "2026-11-19T10:52:38.9873864+00:00",
"date_update": "2026-11-19T10:52:38.9873864+00:00",
"updated_by_user_id": "c007af32-288b-49b5-923c-34eb3b1791ea",
"customer_reference": "sample string 28",
"warranty_date_until": "2026-11-19T10:52:38.9873864+00:00",
"last_standard_result_score_1": "sample string 30",
"last_standard_result_score_2": "sample string 31",
"target_standard_result_score_1": "sample string 32",
"target_standard_result_score_2": "sample string 33",
"date_built": "2026-11-19T00:00:00+00:00",
"shutdown_consequence": "sample string 35",
"id2": 36,
"nb_open_jobs": 37,
"date_next_job": "2026-11-19T10:52:38.9873864+00:00",
"date_last_job": "2026-11-19T10:52:38.9873864+00:00",
"nb_jobs_planned": 40,
"nb_jobs_tobeplanned": 41,
"nb_jobs_waitingfurtheraction": 42,
"back_office_timestamp": "2026-11-19T10:52:38.9873864+00:00",
"modified_dateutc": "2026-11-19T10:52:38.9873864+00:00",
"is_mobile_installation": true
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.